#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 pcg-random
version:              0.1.3.7
visibility:           public
id:                   pcg-random-0.1.3.7-uzQS9W9q9Im6qxwkHg0e
key:                  pcg-random-0.1.3.7-uzQS9W9q9Im6qxwkHg0e
license:              BSD-3-Clause
copyright:            (c) 2014-2015. Christopher Chalmers <c.chalmers@me.com>
maintainer:           c.chalmers@me.com
author:               Christopher Chalmers
homepage:             http://github.com/cchalmers/pcg-random
synopsis:             Haskell bindings to the PCG random number generator.
description:
    PCG is a family of simple fast space-efficient statistically good
    algorithms for random number generation. Unlike many general-purpose
    RNGs, they are also hard to predict.

    This library implements bindings to the standard C implementation.
    This includes the standard, unique, fast and single variants in the
    pcg family. There is a pure implementation that can be used as a
    generator with the random package as well as a faster primitive api
    that includes functions for generating common types.

    The generators in this module are suitable for use in parallel but
    make sure threads don'\''t share the same generator or things will go
    horribly wrong.

category:             System
abi:                  1881518c1195f0b800b8dcde01d83f2f
exposed:              True
exposed-modules:
    System.Random.PCG System.Random.PCG.Class System.Random.PCG.Fast
    System.Random.PCG.Fast.Pure System.Random.PCG.Pure
    System.Random.PCG.Single System.Random.PCG.Unique

import-dirs:          /usr/lib/ghc-9.0.2/site-local/pcg-random-0.1.3.7
library-dirs:         /usr/lib/ghc-9.0.2/site-local/pcg-random-0.1.3.7
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-pcg-random
hs-libraries:         HSpcg-random-0.1.3.7-uzQS9W9q9Im6qxwkHg0e
include-dirs:         /usr/lib/ghc-9.0.2/site-local/pcg-random-0.1.3.7/include
includes:             pcg_variants.h
depends:
    base-4.15.1.0 bytestring-0.10.12.1
    entropy-0.4.1.7-Af27lR5RV911FT1IImZ36i
    primitive-0.7.3.0-4YY3VSdWTqoii1vz058dN
    random-1.2.1.1-5iWH2ycrnoQ5ZYD66L7QAJ

haddock-interfaces:   /usr/share/doc/haskell-pcg-random/html/pcg-random.haddock
haddock-html:         /usr/share/doc/haskell-pcg-random/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

